Searx Installation Faliure - Apparent Python Package Version Mismatch

My YunoHost server

Hardware: Raspberry Pi at home
YunoHost version: 3.5.2.2
I have access to my server : Through SSH and through the webadmin
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no

Description of my issue

I have attempted to install Searx on my server, but it seemed to fail with an issue involving a version mismatch of the cffi package, at a glance.

I have the entire log here: https://paste.yunohost.org/raw/efomihazow

The issue that I’m refering to is in the log file:

2019-05-17 05:53:48,615: WARNING - Exception: Version mismatch: this is the 'cffi' package version 1.12.3, located in '/tmp/pip-build-env-IDZDRQ/overlay/lib/python2.7/site-packages/cffi/api.pyc'. When we import the top-level '_cffi_backend' extension module, we get version 1.9.1, located in '/usr/lib/python2.7/dist-packages/_cffi_backend.arm-linux-gnueabihf.so'. The two versions should be equal; check your installation.

Please try this fix

sudo yunohost app install https://github.com/YunoHost-Apps/searx_ynh/tree/fix-arm-install

It works well now. Thanks. :slight_smile:

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.